<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: DTS_tx Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DTS_tx Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DTS_tx:</div>
<div class="dyncontent">
<div class="center"><img src="classDTS__tx__inherit__graph.png" border="0" usemap="#DTS__tx_inherit__map" alt="Inheritance graph"/></div>
<map name="DTS__tx_inherit__map" id="DTS__tx_inherit__map">
<area shape="rect" id="node2" href="classDTS.html" title="DTS" alt="" coords="15,80,65,107"/><area shape="rect" id="node3" href="classWIB.html" title="WIB" alt="" coords="16,155,64,181"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDTS__tx-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDTS__tx_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a7eabdd0de42479b7143d848e595e470c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eabdd0de42479b7143d848e595e470c"></a>
<a class="el" href="classDTS__tx.html#a7eabdd0de42479b7143d848e595e470c">DTS_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classDTS__IO.html"> &lt;DTS_IO&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa61576f79957fdff319b54223ae52408"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa61576f79957fdff319b54223ae52408"></a>
<a class="el" href="classDTS__tx.html#aa61576f79957fdff319b54223ae52408">clk_sys_50Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3883ace2b43163cfba5e43d82c65b6a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3883ace2b43163cfba5e43d82c65b6a5"></a>
<a class="el" href="classDTS__tx.html#a3883ace2b43163cfba5e43d82c65b6a5">clk_PDTS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d08d0dd49bd366635c163194750cd48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d08d0dd49bd366635c163194750cd48"></a>
<a class="el" href="classDTS__tx.html#a8d08d0dd49bd366635c163194750cd48">clk_PDTS_d</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9116ff033fe0570a7f9746745a860d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9116ff033fe0570a7f9746745a860d0"></a>
<a class="el" href="classDTS__tx.html#ae9116ff033fe0570a7f9746745a860d0">DTS_data_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a68a9177955bcc4410a81a551fd4c782d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68a9177955bcc4410a81a551fd4c782d"></a>
<a class="el" href="classDTS__tx.html#a68a9177955bcc4410a81a551fd4c782d">DTS_data_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab23fac4d1556d12208431c4c023a112d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab23fac4d1556d12208431c4c023a112d"></a>
<a class="el" href="classDTS__tx.html#ab23fac4d1556d12208431c4c023a112d">DTS_OUT_DSBL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15f5deec8e08b971b8a7042cb7c065f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15f5deec8e08b971b8a7042cb7c065f9"></a>
<a class="el" href="classDTS__tx.html#a15f5deec8e08b971b8a7042cb7c065f9">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DTS_Tx_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14bd57ad77e13f340dea35f2eca7c231"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14bd57ad77e13f340dea35f2eca7c231"></a>
<a class="el" href="classDTS__tx.html#a14bd57ad77e13f340dea35f2eca7c231">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DTS_Tx_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS__tx_8vhd_source.html#l00005">5</a> of file <a class="el" href="DTS__tx_8vhd_source.html">DTS_tx.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/<a class="el" href="DTS__tx_8vhd_source.html">DTS_tx.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
